View Issue Details

IDProjectCategoryView StatusLast Update
0000907DraftBugpublic2013-11-04 14:29
ReporterraulshcAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0000907: Some icon buttons are not shown on Draft snap toolbar
DescriptionPerpendicular and ortho icon buttons are not shown on Draft snap toolbar when one uses Draft module on Windows XP SP3. The functionality of both are not affected.

I have proved it on several PC systems and I obtained the same result.
Additional InformationFreeCAD:
Version: 0.13
OS: Windows XP (SP3)
Platform: 32-bit
Version: 0.13.1733 (Git)
Branch: master
Hash: 6455c4edadcae79cb58be76eb0f91359160b93d3
Python version: 2.6.2
Qt version: 4.5.2
Coin version: 3.1.0
SoQt version: 1.4.1
OCC version: 6.3.0
TagsNo tags attached.

Relationships

has duplicate 0001218 closedyorik FreeCAD Missing / blank snap tool icons; perpendicular, ortho 

Activities

yorik

2012-12-07 20:57

administrator   ~0002626

hm typical Qt/SVG problem, with certain Qt versions. I'll have a look...

yorik

2012-12-18 15:14

administrator   ~0002662

Fixed in 5ea7f58]

yorik

2013-02-09 17:45

administrator   ~0002890

http://forum.freecadweb.org/viewtopic.php?f=10&t=3559&sid=9918e868bd613d7ee36ece170a4d812a&p=27687#p27687

raulshc

2013-11-01 15:40

reporter   ~0003847

I took a look on windows unstable version, 0.14-2370. The issue was solved for this package, look the PNG.

yorik

2013-11-04 12:46

administrator  

draft_icons_bug.PNG (66,482 bytes)
draft_icons_bug.PNG (66,482 bytes)

yorik

2013-11-04 12:47

administrator  

fc014_2370.PNG (246,741 bytes)
fc014_2370.PNG (246,741 bytes)

Issue History

Date Modified Username Field Change
2012-12-07 19:06 raulshc New Issue
2012-12-07 19:06 raulshc File Added: draft_icons_bug.PNG
2012-12-07 20:57 yorik Note Added: 0002626
2012-12-07 20:57 yorik Status new => assigned
2012-12-07 20:57 yorik Assigned To => yorik
2012-12-18 15:14 yorik Note Added: 0002662
2012-12-18 15:14 yorik Status assigned => closed
2012-12-18 15:14 yorik Resolution open => fixed
2012-12-18 15:14 yorik Fixed in Version => 0.13
2013-02-09 17:45 yorik Note Added: 0002890
2013-02-09 17:45 yorik Status closed => feedback
2013-02-09 17:45 yorik Resolution fixed => reopened
2013-02-09 17:45 yorik Status feedback => assigned
2013-08-16 18:29 yorik Relationship added has duplicate 0001218
2013-11-01 15:40 raulshc Note Added: 0003847
2013-11-01 15:40 raulshc File Added: fc014_2370.PNG
2013-11-03 22:24 yorik File Added: draft_icons_bug_2.PNG
2013-11-03 22:25 yorik File Added: fc014_2370_2.PNG
2013-11-03 22:25 yorik File Deleted: draft_icons_bug.PNG
2013-11-03 22:25 yorik File Deleted: fc014_2370.PNG
2013-11-04 12:46 yorik File Deleted: draft_icons_bug_2.PNG
2013-11-04 12:46 yorik File Deleted: fc014_2370_2.PNG
2013-11-04 12:46 yorik File Added: draft_icons_bug.PNG
2013-11-04 12:47 yorik File Added: fc014_2370.PNG
2013-11-04 14:29 yorik Status assigned => closed
2013-11-04 14:29 yorik Resolution reopened => fixed
2013-11-04 14:29 yorik Fixed in Version 0.13 => 0.14